GaussianMixture & TableOfReal: Get likelihood value...

Calculates how well the GaussianMixture model fits the data according to a criterion.

## Settings

Maximum likelihood

ML = Σi=1..n log (Σm=1..k αk pik)

Minimum message length

DL = ML - 0.5(N·Σm=1..k log(nαm/12) -k·log(n/12) -k(N+1))

Bayes information

BIC = 2·ML - k·N·log(n)

Akaike information

AIC = 2(ML - k·N)

Akaike corrected

AICc = 2(ML - k·N·n/(n-k·N-1))

Complete-data ML

Σi=1..nΣm=1..k γim log (γim)

In these formulas, n is the number of data points, k is the number of mixture components, N is the number of parameters in one component (i.e. d + d(d+1)/2 for a full covariance matrix of dimension d with means), αk are the mixing probabilities, and pik are the multinormal probabilities for the i-th data vector in the k-th component. The responsibilities γim are defined as

γim= αm·pim /(Σj=1..k αj·pij).

### Links to this page

- TableOfReal: To GaussianMixture...